Package wx :: Class DateSpan

[frames | no frames]

## Type DateSpan

    object --+
             |
            DateSpan

Proxy of C++ DateSpan class

Method Summary
DateSpan | `__init__(self, years, months, weeks, days)`
DateSpan | `__add__(self, other)`
| `__del__(self)`
bool | `__eq__(self, other)`
DateSpan | `__iadd__(self, other)`
DateSpan | `__imul__(self, factor)`
DateSpan | `__isub__(self, other)`
DateSpan | `__mul__(self, n)`
bool | `__ne__(self, other)`
DateSpan | `__neg__(self)`
DateSpan | `__rmul__(self, n)`
DateSpan | `__sub__(self, other)`
DateSpan | `Add(self, other)`
DateSpan | `Day()` (Static method)
int | `GetDays(self)`
int | `GetMonths(self)`
int | `GetTotalDays(self)`
int | `GetWeeks(self)`
int | `GetYears(self)`
DateSpan | `Month()` (Static method)
DateSpan | `Multiply(self, factor)`
DateSpan | `Neg(self)`
DateSpan | `SetDays(self, n)`
DateSpan | `SetMonths(self, n)`
DateSpan | `SetWeeks(self, n)`
DateSpan | `SetYears(self, n)`
DateSpan | `Subtract(self, other)`
DateSpan | `Week()` (Static method)
DateSpan | `Year()` (Static method)

Property Summary
| `Days`: See `GetDays` and `SetDays`
| `Months`: See `GetMonths` and `SetMonths`
| `thisown`: The membership flag
| `TotalDays`: See `GetTotalDays`
| `Weeks`: See `GetWeeks` and `SetWeeks`
| `Years`: See `GetYears` and `SetYears`

Property Details

### Days

See `GetDays` and `SetDays`

  Get Method:
    `GetDays`(self)
  Set Method:
    `SetDays`(self, n)

### Months

See `GetMonths` and `SetMonths`

  Get Method:
    `GetMonths`(self)
  Set Method:
    `SetMonths`(self, n)

### thisown

The membership flag

### TotalDays

See `GetTotalDays`

  Get Method:
    `GetTotalDays`(self)

### Weeks

See `GetWeeks` and `SetWeeks`

  Get Method:
    `GetWeeks`(self)
  Set Method:
    `SetWeeks`(self, n)

### Years

See `GetYears` and `SetYears`

  Get Method:
    `GetYears`(self)
  Set Method:
    `SetYears`(self, n)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:50 2007 | http://epydoc.sf.net